|  | Home · All Classes · Modules

# QGLFormat.OpenGLVersionFlags Class Reference
[QtOpenGL module]

### Methods

- __init__ (self, OpenGLVersionFlags)
- __init__ (self, int)
- __init__ (self)

### Special Methods

- OpenGLVersionFlags __and__ (self, int mask)
- int __bool__ (self)
- bool __eq__ (self, OpenGLVersionFlags f)
- OpenGLVersionFlags __iand__ (self, int mask)
- int __int__ (self)
- OpenGLVersionFlags __invert__ (self)
- OpenGLVersionFlags __ior__ (self, OpenGLVersionFlags f)
- OpenGLVersionFlags __ixor__ (self, OpenGLVersionFlags f)
- bool __ne__ (self, OpenGLVersionFlags f)
- OpenGLVersionFlags __or__ (self, OpenGLVersionFlags f)
- OpenGLVersionFlags __or__ (self, int f)
- OpenGLVersionFlags __xor__ (self, OpenGLVersionFlags f)
- OpenGLVersionFlags __xor__ (self, int f)

## Detailed Description

OpenGLVersionFlag may be used whenever OpenGLVersionFlags is expected.

## Method Documentation

### OpenGLVersionFlags.__init__ (self, OpenGLVersionFlags)

### OpenGLVersionFlags.__init__ (self, int)

### OpenGLVersionFlags.__init__ (self)

### OpenGLVersionFlags OpenGLVersionFlags.__and__ (self, int mask)

### int OpenGLVersionFlags.__bool__ (self)

### bool OpenGLVersionFlags.__eq__ (self, OpenGLVersionFlags f)

### OpenGLVersionFlags OpenGLVersionFlags.__iand__ (self, int mask)

### int OpenGLVersionFlags.__int__ (self)

### OpenGLVersionFlags OpenGLVersionFlags.__invert__ (self)

### OpenGLVersionFlags OpenGLVersionFlags.__ior__ (self, OpenGLVersionFlags f)

### OpenGLVersionFlags OpenGLVersionFlags.__ixor__ (self, OpenGLVersionFlags f)

### bool OpenGLVersionFlags.__ne__ (self, OpenGLVersionFlags f)

### OpenGLVersionFlags OpenGLVersionFlags.__or__ (self, OpenGLVersionFlags f)

### OpenGLVersionFlags OpenGLVersionFlags.__or__ (self, int f)

### OpenGLVersionFlags OpenGLVersionFlags.__xor__ (self, OpenGLVersionFlags f)

### OpenGLVersionFlags OpenGLVersionFlags.__xor__ (self, int f)